
Redmine - Defect #6837

The new project link path is wrong in project show views

2010-11-05 10:52 - Olivier Farlotti

Status: Closed Start date: 2010-11-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.0.3

Description

Error 404 on /projects/add

The path should be /projets/new to work

I tried to invastigate quickly in root.rb, application_helper.rb, projects_controller.rb, /view/projects/show.rhtml and all seems to be ok.

I just dont understand

History

#1 - 2010-11-05 11:10 - Felix Schäfer

It was add and now is new since r4069, which has been merged in stable for 1.0.3. Did you restart your redmine and everything else in between after

updating? What link did you click on that took you to add?

#2 - 2010-11-05 14:06 - Olivier Farlotti

Yes i noticed the change from add to new and I restarted Redmine after the cache and session clearing (upgrade from 0.9 to 1.0.3).

The fact is the "new (sub)project" link is well formed in /admin/projects but not in /projects and /projetcts/<project slug>

I use Redmine in a french environment but i guess it does'nt matter

#3 - 2010-11-05 17:40 - Axel B.

Have a look at the plugins you may have installed. I had the same issue and had a plugin, which extends/ overwrites the project show view

(template). After updating merging the plugin template with the new default one everything worked fine again.

#4 - 2010-11-14 11:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

#5 - 2010-11-16 17:27 - Jiri Kubica

Small update - in my Redmine it was problem with plugin redmine_project_filtering

./vendor/plugins/redmine_project_filtering/app/views/projects/index.rhml
